Bug 844024 - rhc client tools doesn't show any information on how the user can get access to the framework gears or database gear (Scalable apps)
rhc client tools doesn't show any information on how the user can get access ...
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 20:32 EDT by Nam Duong
Modified: 2015-05-14 22:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 00:10:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-07-27 20:32:33 EDT
Description of problem:
the rhc client doesn't give users any chance of ssh'ing on to the framework gears or db gears for logs or extra debugging.  In order to do so, users have to read my KB (not pretty):  https://openshift.redhat.com/community/faq/can-i-access-my-applications-gear

We should make it easier for user by at least displaying the UUID and DNSs for all gears in an app.  The best thing to do is to add a command rhc-ssh.
Comment 1 Clayton Coleman 2012-07-30 00:10:39 EDT
This is covered by story https://rally1.rallydev.com/#/4670513817d/detail/userstory/5719240466

Note You need to log in before you can comment on or make changes to this bug.